com.holonplatform.vaadin.flow.components.builders

## Interface BaseTemporalInputConfigurator.CalendarLocalization

- Enclosing interface:
    BaseTemporalInputConfigurator<D,C extends BaseTemporalInputConfigurator<D,C>>

      public static interface BaseTemporalInputConfigurator.CalendarLocalization

  Date input calendar popup localization settings.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<com.holonplatform.core.i18n.Localizable>` | `getCalendar()` Gets the `Localizable` message for `calendar`.
    `Optional<com.holonplatform.core.i18n.Localizable>` | `getCancel()` Gets the `Localizable` message for the `cancel` button.
    `Optional<com.holonplatform.core.i18n.Localizable>` | `getClear()` Gets the `Localizable` message for the `clear` button.
    `Integer` | `getFirstDayOfWeek()` Gets the first day of the week.
    `List<com.holonplatform.core.i18n.Localizable>` | `getMonthNames()` Gets `Localizable` messages for the name of the months.
    `Optional<com.holonplatform.core.i18n.Localizable>` | `getToday()` Gets the `Localizable` message for the `today` button.
    `Optional<com.holonplatform.core.i18n.Localizable>` | `getWeek()` Gets the `Localizable` message for `week`.
    `List<com.holonplatform.core.i18n.Localizable>` | `getWeekdays()` Gets the `Localizable` messages for the name of the week days.
    `List<com.holonplatform.core.i18n.Localizable>` | `getWeekdaysShort()` Gets the `Localizable` messages for the short names of the week days.

- - ### Method Detail

    - #### getMonthNames

          List<com.holonplatform.core.i18n.Localizable> getMonthNames()

      Gets `Localizable` messages for the name of the months.
      Returns:
        the month names

    - #### getWeekdays

          List<com.holonplatform.core.i18n.Localizable> getWeekdays()

      Gets the `Localizable` messages for the name of the week days.
      Returns:
        the week days names

    - #### getWeekdaysShort

          List<com.holonplatform.core.i18n.Localizable> getWeekdaysShort()

      Gets the `Localizable` messages for the short names of the week days.
      Returns:
        the short names of the week days

    - #### getFirstDayOfWeek

          Integer getFirstDayOfWeek()

      Gets the first day of the week.

      0 for Sunday, 1 for Monday, 2 for Tuesday, 3 for Wednesday, 4 for Thursday, 5 for Friday, 6 for Saturday.

      Returns:
        the index of the first day of the week

    - #### getWeek

          Optional<com.holonplatform.core.i18n.Localizable> getWeek()

      Gets the `Localizable` message for `week`.
      Returns:
        the `week` text message

    - #### getCalendar

          Optional<com.holonplatform.core.i18n.Localizable> getCalendar()

      Gets the `Localizable` message for `calendar`.
      Returns:
        the `calendar` text message

    - #### getClear

          Optional<com.holonplatform.core.i18n.Localizable> getClear()

      Gets the `Localizable` message for the `clear` button.
      Returns:
        the `clear` text message

    - #### getToday

          Optional<com.holonplatform.core.i18n.Localizable> getToday()

      Gets the `Localizable` message for the `today` button.
      Returns:
        the `today` text message

    - #### getCancel

          Optional<com.holonplatform.core.i18n.Localizable> getCancel()

      Gets the `Localizable` message for the `cancel` button.
      Returns:
        the `cancel` text message

Copyright © 2019 The Holon Platform. All rights reserved.